Package com.sap.ai.sdk.grounding.model

# Enum Class MetadataConfigurationResponse.DataRepositoryTypeEnum

java.lang.Object
java.lang.Enum<MetadataConfigurationResponse.DataRepositoryTypeEnum>
com.sap.ai.sdk.grounding.model.MetadataConfigurationResponse.DataRepositoryTypeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<MetadataConfigurationResponse.DataRepositoryTypeEnum>`, `Constable`

Enclosing class:
  `MetadataConfigurationResponse`

public static enum MetadataConfigurationResponse.DataRepositoryTypeEnum extends Enum<MetadataConfigurationResponse.DataRepositoryTypeEnum>
The data repository type for which this configuration is being created.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MS_SHARE_POINT`
  The MS_SHARE_POINT option of this MetadataConfigurationResponse
  `S3`
  The S3 option of this MetadataConfigurationResponse
  `SFTP`
  The SFTP option of this MetadataConfigurationResponse
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this MetadataConfigurationResponse

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetadataConfigurationResponse.DataRepositoryTypeEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static MetadataConfigurationResponse.DataRepositoryTypeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MetadataConfigurationResponse.DataRepositoryTypeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MS_SHARE_POINT

    public static final MetadataConfigurationResponse.DataRepositoryTypeEnum MS_SHARE_POINT
    The MS_SHARE_POINT option of this MetadataConfigurationResponse

  - ### S3

    public static final MetadataConfigurationResponse.DataRepositoryTypeEnum S3
    The S3 option of this MetadataConfigurationResponse

  - ### SFTP

    public static final MetadataConfigurationResponse.DataRepositoryTypeEnum SFTP
    The SFTP option of this MetadataConfigurationResponse

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final MetadataConfigurationResponse.DataRepositoryTypeEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this MetadataConfigurationResponse

- ## Method Details

  - ### values

    public static MetadataConfigurationResponse.DataRepositoryTypeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MetadataConfigurationResponse.DataRepositoryTypeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<MetadataConfigurationResponse.DataRepositoryTypeEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static MetadataConfigurationResponse.DataRepositoryTypeEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type MetadataConfigurationResponse